Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
SendCloud Portal
Sitecore Send API documentation
  • Introduction to the Sitecore Send API
        • Get all segments
        • Get segment details
        • Get segment subscribers
        • Create an empty segment
        • Create a segment with criteria
        • Update a segment
        • Add criteria to a segment
        • Update segment criteria
        • Delete a segment
  1. Segments
  1. API reference
  2. Segments
  3. Delete a segment

Delete a segment

DELETE /lists/{MailingListID}/segments/{SegmentID}/delete.{Format}

Deletes a segment including its criteria from a specific email list. Deleting a segment does not affect the email list subscribers.

Request

ParameterInTypeRequiredDescription
MailingListIDpathstringtrueThe ID of the email list that contains the segment.
SegmentIDpathstringtrueThe ID of the segment to be deleted.
FormatpathstringtrueThe supported file format for getting a response.Possible values: json and xml.
apikeyquerystringtrueThe API key of your account.
http
DELETE https://{hostname}/v3/lists/{MailingListID}/segments/{SegmentID}/delete.{Format}?apikey=
curl
curl --include \\
     --request DELETE \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
'https://{hostname}/v3/lists/{MailingListID}/segments/{SegmentID}/delete.{Format}?apikey='

Response

StatusDescriptionHeadersSchema
200 OKThe request is successful.Content-Type
/jsonAccept
/json
N/A
json
{
  "Code": 0,
  "Error": null,
  "Context": null
}
  • Code - the response code. This is 0 if successful.

  • Error - the response error message. This is null if successful.

  • Context - the response context. This is null if successful.

If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use